Subject: Re: [RESEND][POWERPC] mpc5200: Amalgamated dts fixes and updates

From: Wolfgang Grandegger <[email-masked]>
Date: Wed, 26 Mar 2008 21:48:07 +0100

Grant Likely wrote:
> On Wed, Mar 26, 2008 at 1:45 PM, Bartlomiej Sieka <[email-masked]> wrote:
>>     The bulk of this patch is taken from
>>     http://patchwork.ozlabs.org/linuxppc/patch?q=Balakowicz&id=16197, with few
>>     other updates.
>>
>>     Signed-off-by: Marian Balakowicz <[email-masked]>
>>  ---
>>  Addressed comments from the list; would appreciate picking up as the patch
>>  fixes booting issue on TQM5200 and Motion-PRO (cm5200 changes are analogous,
>>  but not tested due to hardware unavailability).
> 
> I see one obvious error; but other than that it looks good.  Once that
> is fixed I can recommend for Paul to pick it up for .25.  It's just
> dts changes, so I don't expect it to be a problem.
> 
> Cheers,
> g.
> 
>>  diff --git a/arch/powerpc/boot/dts/motionpro.dts b/arch/powerpc/boot/dts/motionpro.dts
>>  index 76951ab..f27256b 100644
>>  --- a/arch/powerpc/boot/dts/motionpro.dts
>>  +++ b/arch/powerpc/boot/dts/motionpro.dts
>>  @@ -209,10 +208,25 @@
>>  +               mdio@3000 {
>>  +                       #address-cells = <1>;
>>  +                       #size-cells = <0>;
>>  +                       compatible = "fsl,mpc5200b-mdio","fsl,mpc5200-mdio";
>>  +                       reg = <3000 400>;       // fec range, since we need to setup fec interrupts
>>  +                       interrupts = <2 5 0>;   // these are for "mii command finished", not link changes & co.
>>  +                       interrupt-parent = <&mpc5200_pic>;
>>  +
>>  +                       phy0:ethernet-phy@0 {
>>  +                               device_type = "ethernet-phy";
>>  +                               reg = <2>;
> 
> This doesn't look right.  Reg should match the value in "ethernet-phy@0"

And whats about the two CAN nodes for tqm5200.dts? Do we have them already?

Thanks,

Wolfgang.